Why does this app feature require 4s

Discussion in 'iOS Apps' started by marc11, Jun 13, 2012.

  1. marc11 macrumors 68000

    Joined:
    Mar 30, 2011
    Location:
    NY USA
    #1
    New update to the Ape store app lets you notify the Apple store when you are near by so the item you ordered fur puck can be made available. Nice feature, but it requires an iPhone 4s.

    Wtf? Seriously Apple? Why? This neutering of your hardware through false functionality restrictions is getting thin and old.
     
  2. pdjudd macrumors 601

    Joined:
    Jun 19, 2007
    Location:
    Plymouth, MN
    #2

    My guess is that it uses certain functionality of Bluetooth or geo-fencing that isn’t quite there in the 4.

    Anyhow how can you say that the restriction is false? You don’t know that any more than I do and Apple is under no obligation to give details.
     
  3. marc11 thread starter macrumors 68000

    Joined:
    Mar 30, 2011
    Location:
    NY USA
    #3
    I doubt it is bt as the range is not enough to give them warning of impending arrival in time. As for geo fencing well I can get alerts when I get close to a preset location on my iPhone now, do I cannot see why or how this is different.

    If you do not think Apple purposely leaves out functions of ios, osx and apps that would work perfectly fine on older hardware only to promote sales of new hardware...well your kidding yourself. The jb community proved this over and over.

    No sorry, this just like a few features already stated in ios 6 that will not work on the iPhone 4 is just Apples way.
     
  4. thewitt macrumors 68020

    thewitt

    Joined:
    Sep 13, 2011
    #4
    Geofencing is more accurate on the 4S than on the 4.
     

Share This Page